Summary: A free virtual machine to run Java(tm) code
Name: kaffe-rhcn
Version: 1.0.b4
Release: 1
Copyright: GPL
Url: http://www.transvirtual.com/
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
Group: Development/Languages
Source0: ftp://ftp.transvirtual.com/pub/kaffe/kaffe-1.0.b4.tar.gz
Buildroot: /var/tmp/kaffe-root
Obsoletes: kaffe
ExclusiveArch: i386 sparc
Summary(de): Eine kostenlose virtuelle Maschine zur Ausfhrung von Java-Code
Summary(fr): Une machine virtuelle Java libre pour faire tourner du code Java(tm).
Summary(tr): Java(tm) yazlmlar altrabilecek serbest bir sanal makina

%description
This is Kaffe, a virtual machine designed to execute Java bytecode.
This machine can be configured in two modes.  In one mode it operates as
a pure bytecode interpreter (not unlike Javasoft's machine); in the second
mode if performs "just-in-time" code conversion from the abstract code to
the host machine's native code.  This will ultimately allow execution of
Java code at the same speed as standard compiled code but while maintaining
the advantages and flexibility of code independence.

%prep
%setup -n kaffe-1.0b4
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --libdir=/usr/lib/kaffe \
	--datadir=$RPM_BUILD_ROOT/usr/share --program-prefix=k
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/usr/lib/kaffe \
	datadir=$RPM_BUILD_ROOT/usr/share \
	nativedir=$RPM_BUILD_ROOT/usr/lib/kaffe install
mv $RPM_BUILD_ROOT/usr/bin/kkaffe $RPM_BUILD_ROOT/usr/bin/kkaffe-ori
install -m755 $RPM_SOURCE_DIR/kaffe $RPM_BUILD_ROOT/usr/bin/kkaffe
chmod +x $RPM_BUILD_ROOT/usr/lib/kaffe/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog README WHATSNEW FAQ license.terms
/usr/*

%changelog
* Sun Apr 11 1999 Levente Farkas <lfarkas@ohsh.u-szeged.hu>
- update to 1.0b4

* Sat Dec 12 1998 Levente Farkas <lfarkas@ohsh.u-szeged.hu>
- update to 1.0b3
- add execution flag to /usr/lib/kaffe/*

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- added sparc to the list of supported architectures
- update to 1.0b2

* Tue Sep 22 1998 Bill Nottingham <notting@redhat.com>
- don't rename libraries; install them in /usr/lib/kaffe
- remove sparc arch (doesn't work)

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.0.b1.
- add sparc arch (alpha has problems kaffe/kaffeevm/support.c:{343,518}

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- finally their ftp site is up again: updated to 0.10.0
- too bad the Biss-AWT doesn't seem to be maintained anymore... Removed the
  bissawt package
- unfortunately alpha and sparc assembler code that reference registers
  like eax, ebx, etc. makes this package ExclusiveArch: i386

* Tue Dec 09 1997 Cristian Gafton <gafton@redhat.com>
- added kaffe to the file list
- added BuildRoot; cleaned the spec file

* Tue Nov 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- removed pieces with incompatible licenses

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- updated to 0.9.2

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 24 1997 Erik Troan <ewt@redhat.com>
- added libkaffe_vm.so symlink.

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- added manual provide of libkaffe_vm.so (RPM seems a bit broken).
